
#include "..\config.h"

#include "userDataProcess.h"

/*********************************************************************************************************
  
*********************************************************************************************************/
#define LED1        (1 << 0)                           // P2.0 is used to control LED1 
#define LED1OFF()   FIO2SET = LED1                     // LED1 off
#define LED1ON()    FIO2CLR = LED1                     // LED1 ON     


int main (void)
{
    targetInit();                             // Target MCU initialization  
    pinInit();                                // MCU PIN initialization                                                                                  

    FIO2DIR |= LED1;                          // P2.0 is Output foot 
    keyInit();		                          // Initialize Key as input

	lcdPinInit();                             // Initialize RST, A0, RW, E as output
    lcdInit();                                // Initialize ST7567
	
    cleanScreen();    // clean screen

    while (1) {
        
		if ((FIO2PIN & KEY1) == 0) {          // 
            //Action Code
	    } 
	    else {					              // 
            //Action Code
	    }

		if ((FIO2PIN & KEY2) == 0) {          // 
            //Action Code
	    } 
		else {					              // 
            //Action Code
	    }
        	

		LED1OFF();
        //writeComd(0xAA);
		delayMs(200);	  // 

		LED1ON();
		//writeComd(0x55);
		delayMs(200);	  // 
	
		/*
        cleanScreen();    // clean screen
		delayMs(200);
		fillScreen(0xff); // light on all pixels
        delayMs(800);
        
        cleanScreen();    // clean screen
		delayMs(200);
		fillScreen(0x55); // display line on full screen
        delayMs(800);		

        cleanScreen();    // clean screen
		delayMs(200);
		fillScreen(0x33); // display line on full screen (another style)
        delayMs(800);

		cleanScreen();    // clean screen
		delayMs(200);
		fillScreen(0x0f); // display line on full screen (another style)
        delayMs(800);
		*/

        // placeDot(0,0);
		// placeDot(1,1);
		// placeDot(2,2);
		// placeDot(7,7);
		// placeDot(15,15);
		// placeDot(23,23);
		// placeDot(31,31);
		// placeDot(127,63);

		refreshScreen(graphic_11);
		delayMs(1500);
        cleanScreen();    // clean screen

        refreshScreen(graphic_22);
		delayMs(1500);
        cleanScreen();    // clean screen

		refreshScreen(graphic_33);
		delayMs(1500);
        cleanScreen();    // clean screen

		refreshScreen(graphic_44);
		delayMs(1500);
        cleanScreen();    // clean screen

		refreshScreen(graphic_55);
		delayMs(1500);
        cleanScreen();    // clean screen

		refreshScreen(graphic_66);
		delayMs(1500);
        cleanScreen();    // clean screen
    }
}

/*********************************************************************************************************
  End Of File
*********************************************************************************************************/
